Subject: Re: bug#31717: 26.1; display-line-numbers-mode enlarges indicator without need

From: Carlos Pita <[email-masked]>
Date: Tue, 5 Jun 2018 12:19:55 -0300

Thanks Eli for such an informative and detailed answer! It's worth
posting it somewhere more available, I will do something about that in
due time.

> If you don't want to "waste" one more column, you can use one of the
> optional features, e.g., set display-line-numbers-width-start non-nil,
> with or without display-line-numbers-grow-only non-nil.

I'm failing to see how this would prevent the "wasteful" behavior. Are
you just saying that if I reserve all the space in advance I won't be
seeing the widening happening since it have already happened up front?

I understand all your points above, so I'm going to ask for a more
modest alternative: the ability to suppress the left, right or both
whitespaces in the indicator. Do you think this is worth opening a new
issue or will it be rejected instantaneously/ignored for ever?

Again, thanks for taking the time to explain!